package com.ruoyi.cms.service.impl;

import com.ruoyi.cms.domain.SensitiveWordData;
import com.ruoyi.cms.mapper.SensitiveWordDataMapper;
import com.ruoyi.cms.service.SensitiveWordDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service
public class SensitiveWordDataServiceImpl implements SensitiveWordDataService {

    @Autowired
    SensitiveWordDataMapper sensitiveWordDataMapper;

    @Override
    public List<SensitiveWordData> selectSensitiveworddataList(SensitiveWordData sensitiveworddata) {
        return sensitiveWordDataMapper.selectSensitiveworddataList(sensitiveworddata);
    }

    @Override
    public SensitiveWordData selectById(Long id) {
        return sensitiveWordDataMapper.selectById(id);
    }

    @Override
    public int insertSensitiveworddata(SensitiveWordData sensitiveWordData) {
        return sensitiveWordDataMapper.insert(sensitiveWordData);
    }

    @Override
    public int updateSensitiveworddata(SensitiveWordData sensitiveWordData) {
        return sensitiveWordDataMapper.updateById(sensitiveWordData);
    }

    @Override
    public int deleteSensitiveworddataIds(Long[] ids) {
        return sensitiveWordDataMapper.deleteBatchIds(Arrays.asList(ids));
    }

    @Override
    public int batchInsert(List<SensitiveWordData> list) {
        return sensitiveWordDataMapper.batchInsert(list);
    }
}
